Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre > Server

Notices

Reply
 
Thread Tools Search this Thread
Old 06-08-2018, 12:54 PM   #1
willbontrager
Junior Member
willbontrager began at the beginning.
 
Posts: 3
Karma: 10
Join Date: Jun 2018
Device: Various
Linux download "SyntaxError: invalid syntax"

My server is CentOS 6 - x86_64 (64-bit)

From the calibre-ebook.com/download_linux page, is this:

You can also do an "isolated" install that only touches files inside the installation directory and does not need to be run as root, like this:
wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sh /dev/stdin install_dir=~/calibre-bin isolated=y

When I connect with SSH through Mac OS Terminal, this is the response to the command:

______@bontragerconnection.com [~]# wget -nv -O- https://download.calibre-ebook.com/linux-installer.sh | sh /dev/stdin install_dir=~/calibre-bin isolated=y
2018-06-08 11:34:48 URL:https://download.calibre-ebook.com/linux-installer.sh [30829/30829] -> "-" [1]
Using python executable: /usr/bin/python2
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "<string>", line 760
return x.lower() in {'y', 'yes', '1', 'true'}
^
SyntaxError: invalid syntax
______@bontragerconnection.com [~]#


How can I get past that?

Thank you!

Will
willbontrager is offline   Reply With Quote
Old 06-08-2018, 01:11 PM   #2
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 33,195
Karma: 10035422
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
I dont see how that error is possible. The line in the error message is not a syntax error, unless your server has a truly ancient version of python. In which case you can get around it by either installing a newer python or using the manual install instructions that are lower down on the download linux page.
kovidgoyal is offline   Reply With Quote
Old 06-08-2018, 01:28 PM   #3
gbm
Wizard
gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.
 
Posts: 1,406
Karma: 5434962
Join Date: Jun 2010
Device: Windows 10 tablet,Hisence Sero 7 Pro RIP, Nook STR, jetbook lite
CentOS 6 uses Python 2.6.6.

bernie
gbm is offline   Reply With Quote
Old 06-08-2018, 02:49 PM   #4
willbontrager
Junior Member
willbontrager began at the beginning.
 
Posts: 3
Karma: 10
Join Date: Jun 2018
Device: Various
Thank you, both of you.

The python version information:

>>> import sys
>>> print(sys.version)
2.6.6 (r266:84292, Aug 18 2016, 15:13:37)
[GCC 4.4.7 20120313 (Red Hat 4.4.7-17)]
>>>

I did install Calbre manually. A quick install.

Now I find GLIBC 2.17 isn't on the server so I have to get the hosting company to install that. But I'm moving with this and I thank you for the help over the hump.

Will
willbontrager is offline   Reply With Quote
Old 06-08-2018, 04:26 PM   #5
willbontrager
Junior Member
willbontrager began at the beginning.
 
Posts: 3
Karma: 10
Join Date: Jun 2018
Device: Various
Just FYI,

The hosting company responded with:

"Updating the version of glibc beyond what's offered by CentOS 6 is not recommended. Instead, we need to consider setting up a new server with CentOS 7, and then migrating your accounts to CentOS 7 if you require the version of glibc (2.17) offered in newer CentOS versions. Also new version (4.8) of gcc will available in CentOS 7. We believe this versions of gcc and glibc are sufficient for Calibre."

This forum has wonderful support.

Will
willbontrager is offline   Reply With Quote
Old 06-08-2018, 05:25 PM   #6
gbm
Wizard
gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.gbm ought to be getting tired of karma fortunes by now.
 
Posts: 1,406
Karma: 5434962
Join Date: Jun 2010
Device: Windows 10 tablet,Hisence Sero 7 Pro RIP, Nook STR, jetbook lite
Do the upgrade CentOS 7-1804 ships with glibc 2.17.

bernie
Quote:
Originally Posted by willbontrager View Post
Just FYI,

The hosting company responded with:

"Updating the version of glibc beyond what's offered by CentOS 6 is not recommended. Instead, we need to consider setting up a new server with CentOS 7, and then migrating your accounts to CentOS 7 if you require the version of glibc (2.17) offered in newer CentOS versions. Also new version (4.8) of gcc will available in CentOS 7. We believe this versions of gcc and glibc are sufficient for Calibre."

This forum has wonderful support.

Will
gbm is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Kindle Fire giving "invalid MTP path" error Deadser Devices 2 06-29-2017 05:22 PM
Mobigen Problem with syntax <idx:orth infl=""> and hiragana kenkyosan Kindle Formats 4 08-19-2014 04:22 PM
A warning for Linux users: slow "Add Books", "Unknown" title and Author rolgiati Library Management 8 07-24-2013 04:36 PM
Need Help With "Regular Expression Syntax" dkritso109 Calibre 42 10-05-2010 09:03 AM
Error message : "Invalid Format" " Do you want to format your internal memory" narbeauchamp Sony Reader 11 07-22-2009 12:39 PM


All times are GMT -4. The time now is 04:22 AM.


MobileRead.com is a privately owned, operated and funded community.